当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 13 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [转帖]NVIDIA 9系列驱动正式发布!!
帖子发表于 : 2006-11-08 12:56 
头像

注册: 2006-06-13 11:02
帖子: 431
地址: 广东 广州
送出感谢: 0 次
接收感谢: 0 次
本人发在硬件配置立面的帖子,对于使用NV+Beryl的朋友建议看看:
http://forum.ubuntu.org.cn/viewtopic.ph ... highlight=

NVIDIA 1.0-9629驱动正式发布,对于使用NV显卡的朋友建议更新!
下载地址:http://www.nvidia.com/object/unix.html

一下是摘录自linuxtoy.org的更新要点:
* 增加了对于 GLX_EXT_texture_from_pixmap 的初步支持;
* 在 nvidia-settings 程序中新增了“显示配置”页;
* 改进了 Xinerama 中 OpenGL 的工作性能;
* 添加了针对 NVIDIA Quadro Plex 和 Quad SLI 的支持;
* 改进了 X 驱动错误恢复能力;
* 改进了 overlay 的工作性能;
* 增加了 SMBus 功能到 Linux/i2c 接口;
* 修正了 DFP 缩放支持的问题;
* 增加了对于 OpenGL 2.1 的支持;
* 新增了 TwinViewXineramaInfoOrder X 配置选项以便控制 TwinView 中的显示设备次序;
* 修正了某些 TV 输出的相关问题;
* 新增了 NVIDIA 标志到 nvidia-settings 程序中,及 X 驱动程序闪屏,且在 X 配置选项中可以使用新的 LogoPath 进行配置。


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-11-08 15:09 

注册: 2005-08-25 0:49
帖子: 22
送出感谢: 0 次
接收感谢: 0 次
裝了舊版的9625要移除再裝還是直接安裝就好了?


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-11-08 17:08 
头像

注册: 2006-07-31 0:09
帖子: 192
地址: 四季都好,若是你在
送出感谢: 0 次
接收感谢: 0 次
诶。A卡这个驱动阿。


_________________
Nothing is Sound..


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-11-08 21:50 
头像

注册: 2006-06-13 11:02
帖子: 431
地址: 广东 广州
送出感谢: 0 次
接收感谢: 0 次
visorjoe 写道:
裝了舊版的9625要移除再裝還是直接安裝就好了?


安装很简单,注销后,按alt+ctrl+F1,登录后,
sudo /etc/init.d/gdm stop,然后
sudo sh NVIDIA-Linux-x86-1.0-9629-pkg1.run
进入安装界面后,会有提示已经安装了旧的驱动,是否删除,选yes就是了,
一般会提示缺少模块,问是否网上下载,选“否”,
提示需要自己编译模块,选“继续”,然后编译安装开始,
最后提示需要修改xorg.conf,是否允许,选yes,完成安装。
然后
sudo /etc/init.d/gdm start
回到图形化登录界面,登录,enjoy!! :lol:

安装驱动前的相关事宜,请自行参阅其他howto,开不了机可就麻烦了哦!


最后由 milkboy_x 编辑于 2006-11-08 21:56,总共编辑了 1 次

页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2006-11-08 21:54 
头像

注册: 2006-04-12 18:54
帖子: 4670
送出感谢: 0 次
接收感谢: 7
milkboy_x 写道:
visorjoe 写道:
装了旧版的9625要移除再装还是直接安装就好了?


安装很简单,注销后,按alt+ctrl+F1,登录后,
sudo /etc/init.d/gdm stop,然后
sudo sh NVIDIA-Linux-x86-1.0-9629-pkg1.run
进入安装界面后,会有提示已经安装了旧的驱动,是否删除,选yes就是了,
一般会提示缺少模块,问是否网上下载,选“否”,
提示需要自己编译模块,选“继续”,然后编译安装开始,
最后提示需要修改xorg.conf,是否允许,选yes,完成安装。
然后
sudo /etc/init.d/gdm start
回到图形化登录界面,登录,enjoy!! :lol:


要先
sudo apt-get --purge remove nvidia-glx nvidia-settings nvidia-kernel-common
sudo rm /etc/init.d/nvidia-*

不然重启后会报错,X moulde 和header 的版本不一样…………


_________________
blog:杰林修·呓


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2006-11-08 22:03 
头像

注册: 2006-06-13 11:02
帖子: 431
地址: 广东 广州
送出感谢: 0 次
接收感谢: 0 次
[quote=
要先
sudo apt-get --purge remove nvidia-glx nvidia-settings nvidia-kernel-common
sudo rm /etc/init.d/nvidia-*

不然重启后会报错,X moulde 和header 的版本不一样…………[/quote]

这个方法其实是对应dapper的,在edgy里面不要这么做,因为edgy里面才用了统一的模块,删除nvidia-kernel-common会连受限制模块也删除了的,
只需要
sudo gedit /etc/default/linux-restricted-modules-common
在“”里面添加nv,添加后就是“nv”,就行了,安装时会提示缺少模块,不要上网下载,选择自己编译就是了
切记!!


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2006-11-08 22:05 
头像

注册: 2006-04-12 18:54
帖子: 4670
送出感谢: 0 次
接收感谢: 7
milkboy_x 写道:
[quote=
要先
sudo apt-get --purge remove nvidia-glx nvidia-settings nvidia-kernel-common
sudo rm /etc/init.d/nvidia-*

不然重启后会报错,X moulde 和header 的版本不一样…………


这个方法其实是对应dapper的,在edgy里面不要这么做,因为edgy里面才用了统一的模块,删除nvidia-kernel-common会连受限制模块也删除了的,
只需要
sudo gedit /etc/default/linux-restricted-modules-common
在“”里面添加nv,添加后就是“nv”,就行了,安装时会提示缺少模块,不要上网下载,选择自己编译就是了
切记!![/quote]

我刚装过………………

就是edgy的…………

不然我怎么知道会发生这个错误…………


_________________
blog:杰林修·呓


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2006-11-08 22:31 
头像

注册: 2006-06-13 11:02
帖子: 431
地址: 广东 广州
送出感谢: 0 次
接收感谢: 0 次
jarlyyn 写道:

我刚装过………………

就是edgy的…………

不然我怎么知道会发生这个错误…………


非常不好意思,其实我也在不同的机器上实验过几次,最后发现,只需要加入“nv”则可,在此我无意否定你的经验。
我正在打算写一个nv+edgy+beryl的howto的汇集,我会把你的方案列为可选方案,供人参考的,非常感谢你对ubuntu论坛都贡献。
再次,我也姓徐,希望可以交个朋友,我的qq 15006342,万分期待你的回复。 :D


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2006-11-09 7:57 

注册: 2006-10-15 10:12
帖子: 163
送出感谢: 0 次
接收感谢: 0 次
刚刚装的这个驱动
谢谢!


_________________
Gmail: baifh03@gmail.com
MSN:aaronminwoo@hotmail.com
喜欢LINUX的加我!
一起学习讨论!


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2006-11-09 19:32 

注册: 2006-03-21 10:47
帖子: 406
送出感谢: 0 次
接收感谢: 0 次
装了9629驱动的朋友,你们的驱动正常吗??我这里装了,但是很不正常阿,不能运行opengl的程序,运行glxgears,说什么的段错误(core dump),装回9625就正常,不知道这是我的系统的问题还是什么问题,我到nvnews的linux论坛上也看到有不少人装了最新的驱动而发生问题的,装回9625的就没问题。这是怎么回事??


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2006-11-09 21:01 
头像

注册: 2006-06-13 11:02
帖子: 431
地址: 广东 广州
送出感谢: 0 次
接收感谢: 0 次
gmlbh 写道:
装了9629驱动的朋友,你们的驱动正常吗??我这里装了,但是很不正常阿,不能运行opengl的程序,运行glxgears,说什么的段错误(core dump),装回9625就正常,不知道这是我的系统的问题还是什么问题,我到nvnews的linux论坛上也看到有不少人装了最新的驱动而发生问题的,装回9625的就没问题。这是怎么回事??


我就没有这个问题,而且感觉9系列的驱动对视频播放有一定的提升效果。 :wink:


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2006-11-11 0:52 

注册: 2006-03-21 10:47
帖子: 406
送出感谢: 0 次
接收感谢: 0 次
引用:
libohui@ubuntu:~$ glxinfo
name of display: :0.0
Segmentation fault (core dumped)
libohui@ubuntu:~$

救命阿,这是怎么回事??
ps:在编译过程中没有提示任何错误。


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2006-11-11 1:04 

注册: 2006-03-21 10:47
帖子: 406
送出感谢: 0 次
接收感谢: 0 次
看到了,在nvnews论坛上面看到官方人员说9629对nv2x支持有问题。看看9742行不行,如果不行就用回9625咯。真是没办法阿。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 13 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译